<template>
  <v-app>
    <v-container grid-list-md text-xs-center>
      <v-layout text-xs-center row wrap>
        <v-flex xs4>
          <color-picker v-model="color.hex"></color-picker>
          <v-flex xs3>
            <v-form @submit.prevent="addColor()">
              <v-text-field label="hex" v-model="color.hex"></v-text-field>
              <v-btn color="success" type="submit">Add color</v-btn>
            </v-form>
          </v-flex>
        </v-flex>

        <v-flex xs4 class="schema">
          <v-card height="600" width="300">
            <v-flex xs4>
              <v-img height="600" width="300" :src="colorScheme+color.hex.replace('#', '')+mode"></v-img>
            </v-flex>
          </v-card>
        </v-flex>
        <v-card class="scroll px-0" height="500" width="300">
          <v-flex xs4 v-for="color in colors" :key="color.id">
            <v-card
            class="card"
              height="300"
              width="300"
              :dark="selected === color"

            >
            {{color.id}}
              <v-icon @click="removeColor(color.id)">remove</v-icon>
              <v-img
                height="200"
                width="200"
                
                class="img"
                :src="colorSVG+color.hex.replace('#', '')"
              ></v-img>
            </v-card>
          </v-flex>
        </v-card>
      </v-layout>
    </v-container>
  </v-app>
</template>

<script>
import ColorPicker from "vue-color-picker-wheel";
import { mapState } from "vuex";

export default {
  data() {
    return {
      selected: null,
    
      color: {
        name: "",
        hex: ""
      },
      colorSVG: "http://www.thecolorapi.com/id?format=svg&hex=",
      colorScheme: "http://www.thecolorapi.com/scheme?hex=",
      mode: "&format=svg&mode=monochrome&count=6"
    };
  },
  components: {
    ColorPicker
  },
  methods: {
    addColor() {
      this.$store.dispatch("addColors", this.color);
    },
    removeColor(colorid){
      this.$store.dispatch("removeColor", colorid)
    },
 
    // selectColor(color) {
    //   if (this.selected !== color) {
    //     this.selected = color;
    //   } else {
    //     this.selected = null;
    //   }
    //   this.$emit("select", this.selected);
    // }
  },
  computed: {
    ...mapState(["colors"])
  },
  mounted() {
    this.$store.dispatch("fetchColors");

   
  }
};
</script>
<style>
.scroll {
  overflow-y: auto;
}
</style>